CMCEKEMGenerator (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.cmce

## Class CMCEKEMGenerator

- java.lang.Object
- - org.bouncycastle.pqc.crypto.cmce.CMCEKEMGenerator

- All Implemented Interfaces:
    EncapsulatedSecretGenerator

  Deprecated.
  the standardised Classic McEliece KEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see org.bouncycastle.crypto.params.CMCEParameters and org.bouncycastle.jcajce.spec.CMCEParameterSpec). This is the legacy NIST round 3 (non-pc, incl. mceliece348864) implementation, retained for backwards compatibility.

      @Deprecated
      public class CMCEKEMGenerator
      extends java.lang.Object
      implements EncapsulatedSecretGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMCEKEMGenerator(java.security.SecureRandom random)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecretWithEncapsulation` | `generateEncapsulated(AsymmetricKeyParameter recipientKey)` Deprecated. Generate secret/encapsulation based on the recipient public key.
    `SecretWithEncapsulation` | `generateEncapsulated(AsymmetricKeyParameter recipientKey, int sessionKeySizeInBits)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMCEKEMGenerator

          public CMCEKEMGenerator(java.security.SecureRandom random)

      Deprecated.

  - ### Method Detail

    - #### generateEncapsulated

          public SecretWithEncapsulation generateEncapsulated(AsymmetricKeyParameter recipientKey)

      Deprecated.
      Description copied from interface: `EncapsulatedSecretGenerator`
      Generate secret/encapsulation based on the recipient public key.
      Specified by:
        `generateEncapsulated` in interface `EncapsulatedSecretGenerator`
      Returns:
        An SecretWithEncapsulation derived from the recipient public key.

    - #### generateEncapsulated

          public SecretWithEncapsulation generateEncapsulated(AsymmetricKeyParameter recipientKey,
                                                              int sessionKeySizeInBits)

      Deprecated.